Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1299063032 提示:二叉樹遍曆而已。。。給出前序和中序,求後序解題思路 1、前序走訪的第一個字母必是 根2、在中序遍曆的字母串中找出 根字母,那麼根字母左右兩邊的字串就分別是它的左、右子樹3、利用遞迴複原二叉樹(把子樹看作新的二叉樹)4、後序遍曆特徵:後序遍曆字母串 自右至左
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1299324104 提示:BFS+Prim大致題意:在一個y行 x列的迷宮中,有可行走的通路空格’ ‘,不可行走的牆’#’,還有兩種英文字母A和S,現在從S出發,要求用最短的路徑L串連所有字母,輸出這條路徑L的總長度。 一格的長度為1,而且移動的方法只有上、下、左、右,所以在無任何牆的情況下(但“牆#”是必須考慮的,這裡只是為了說明)任意兩個字母之間的距離就是直接把 橫座標之差
Time of Update: 2018-12-03
圖論圖論解題報告索引DFSpoj1321 - 棋盤問題poj1416 - Shredding Companypoj2676 - Sudokupoj2488 - A Knight's Journeypoj1724 - ROADS(鄰接表+DFS)BFSpoj3278 - Catch That Cow(空間BFS)poj2251 - Dungeon Master(空間BFS)poj3414 - Potspoj1915 - Knight Movespoj3126 - Prime Pathpoj1753
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1304831877大致題意:在n (n<100000)個雪花中判斷是否存在兩片完全相同的雪花,每片雪花有6個角,每個角的長度限制為1000000 兩片雪花相等的條件:雪花6個角的長度按順序相等(這個順序即可以是順時針的也可以是逆時針的) 解題思路:Hash吧!連加求餘法 求key 值,鏈地址法解決衝突設雪花6片葉子的長度為len1~len6key=( len1+len2+len3
Time of Update: 2018-12-03
更改apache的設定檔httpd.conf<Directory />Options FollowSymLinksAllowOverride NoneOrder deny,allow Allow from all #以前是Deny from all</Directory><Directory "F:/Program Files/wamp/www/">## Possible values for the Options directive are
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1305285069大數相乘,水題一道,直接類比筆算豎式得了,沒技巧沒演算法,秒殺 //Memory Time//216K 16MS #include<iostream>#include<string>using namespace std;const int size=1000; //大數位元void mult(char* A,char* B,char*
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1305101054 非常噁心的大數相加= =首先輸入就夠噁心了。。。哪有人逐位還要間斷輸入兩個數的。。。。 注意:如果用char[]儲存加數和被加數,要用getchar()輸入, 如果用int[]儲存加數和被加數,要用scanf)輸入。用cin會逾時,cin是重載函數,沒有指定格式,輸入時比較浪費時間 100W的空間不能局部靜態申請,單可以全域靜態申請,也可以局部動態申請(用new)
Time of Update: 2018-12-03
想看更多的解題報告:http://blog.csdn.net/wangjian8006/article/details/7870410
Time of Update: 2018-12-03
想看更多的解題報告:http://blog.csdn.net/wangjian8006/article/details/7870410 轉載請註明出處:http://blog.csdn.net/wangjian8006題目大意:給出兩行字串,第一行代表有哪些點,第二行有很多個字元,每兩個字元A,B代表A<B問滿足條件的所有答案比如有a b f g四個點然後a b b
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1303639118 題目大意:已知兩堆牌s1和s2的初始狀態, 其牌數均為c,按給定規則能將他們相互交叉組合成一堆牌s12,再將s12的最底下的c塊牌歸為s1,最頂的c塊牌歸為s2,依此迴圈下去。 現在輸入s1和s2的初始狀態 以及 預想的最終狀態s12問s1 s2經過多少次洗牌之後,最終能達到狀態s12,若永遠不可能相同,則輸出"-1"。 解題思路:很淺白的類比題= =
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1299063931提示:100W真是大的BT。。。。我用了最佳化還是勉強AC掉,認識的一位達人,16ms
Time of Update: 2018-12-03
想看更多的解題報告:http://blog.csdn.net/wangjian8006/article/details/7870410
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1299128074 提示:不多說了,又是類比題,讀懂題意直接類比就可以了,沒有演算法,沒有技術含量,直接貼代碼 //Memory Time //256K 0MS #include<iostream>using namespace std;int main(void){int row,col,entry;char grid[12][12];
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1305298222浮點大數求冪,水題一道,把“大數乘浮點數”按指數迴圈就OK了,注意結果的整數部分若為0,則不保留整數部分。小數部分若為0,則不保留小數部分和小數點。 //Memory Time //1232K 0MS #include<iostream>#include<string>using namespace std;const int size=
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1309435560 大致題意:有中文版= = 我不多說 解題思路:類比題,細心點就好了,沒難度。Habb曆一年365天Tzolkin曆一年260天先計算Habb曆從第0天到輸入日期的總天數sumdaySumday/day就是Tzolkin曆的年份Tzolkin曆的天數Name每20一迴圈,先建立Tzolkin曆天數Name與1~20的映射,因此Sumday
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1301543725大致題意:給定一個矩形網格的長m和高n,其中m和n都是unsigned int32類型,一格代表一個單位,就是一步,求從左下角到右上方有多少種走法,每步只能向上或者向右走 解題思路:非常水的中學數學題,用組合做先簡單建立一個數學模型:只要給定了長m和高n,那麼要從左下角走到右上方,不管怎麼走,一定要往右走m次,往上走n次例如給定 m=5,n=4那麼可以
Time of Update: 2018-12-03
轉載請註明出處:優YoU http://user.qzone.qq.com/289065406/blog/1309151264 大致題意:在b進位下,求p%m其中p為b進位大數1000位以內,m為b進位數9位以內 解題思路:以字串形式儲存p,m利用進位轉換公式先把m逐位轉換為10進位,由於m只有9位,因此直接轉換用int儲存即可。再利用進位轉換公式把p逐位轉換為10進位,為了避免處理大數,轉換過程中,若出現比m大的時候,則對m模數,繼續轉換。根據同餘模公式知,這是允許的。 此時得到的p值就是
Time of Update: 2018-12-03
http://codeforces.com/contest/279/problem/AA:一個螺旋線,自己畫畫圖就知道規律,給你一個點,問這個點在該螺旋線上轉了幾個彎。思路:我是類比做的,因為資料量不大,從內往外暴力,看點是否在當前的線段上即可。#include <iostream>#include <string.h>#include <stdio.h>using namespace std;int dir[4][2]={1,0,0,1,-1,0,0,-1}
Time of Update: 2018-12-03
http://poj.org/problem?id=1509題意:就是求一個字串的最小標記法開頭字元的位置,如果有多個,求最小的位置。 思路:這道題用尾碼自動機來做本身就是閑著,有點大材小用的感覺,這道題有別的更加精簡的演算法的,時間複雜度也為O(n),但是這裡用SAM做能對SAM有更加清晰的認識,純粹是為了練習SAM吧。將原字元S串複製一下加到原字串之後變成SS,則我們便是要求SS長度為|S|的字典序最小的字串,於是我們可以構造出SS的SAM,從root開始每次走最小編號的轉移,走了|S|步以
Time of Update: 2018-12-03
轉載請註明出處:優YoUhttp://user.qzone.qq.com/289065406/blog/1307201897 題目大意:給出M個運算式,判斷這些資訊是否可靠。 解題思路:差分約束+Bellman-Ford(建議用最佳化的Bellman-Ford)設dist[i]為超級源點到i點的距離,則建立<=的差分系統: 由於P A B X 指“確定A到B的距離(邊權)為X”從P A B X得到的差分系統為dist[A] - dist[B] >= X